"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNTheiaFrontendModule = void 0;
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const sprotty_theia_1 = require("sprotty-theia");
const bpmn_language_1 = require("../common/bpmn-language");
const bpmn_diagram_configuration_1 = require("./diagram/bpmn-diagram-configuration");
const bpmn_glsp_client_contribution_1 = require("./bpmn-glsp-client-contribution");
class BPMNTheiaFrontendModule extends theia_integration_1.GLSPTheiaFrontendModule {
    constructor() {
        super(...arguments);
        this.enableCopyPaste = true;
        this.diagramLanguage = bpmn_language_1.BPMNLanguage;
    }
    bindDiagramConfiguration(context) {
        context.bind(sprotty_theia_1.DiagramConfiguration).to(bpmn_diagram_configuration_1.BPMNDiagramConfiguration);
    }
    bindGLSPClientContribution(context) {
        context.bind(theia_integration_1.GLSPClientContribution).to(bpmn_glsp_client_contribution_1.BPMNGLSPClientContribution);
    }
}
exports.BPMNTheiaFrontendModule = BPMNTheiaFrontendModule;
exports.default = new BPMNTheiaFrontendModule();
// --
/*
export class WorkflowTheiaFrontendModule extends GLSPTheiaFrontendModule {
    protected override enableCopyPaste = true;

    bindDiagramConfiguration(context: ContainerContext): void {
        context.bind(DiagramConfiguration).to(WorkflowDiagramConfiguration);
    }
    readonly diagramLanguage = WorkflowLanguage;

    override configure(context: ContainerContext): void {
        // Custom workflow commands and menus
        context.bind(CommandContribution).to(WorkflowTaskEditCommandContribution);
        context.bind(MenuContribution).to(WorkflowTaskEditMenuContribution);
        context.bind(CommandContribution).to(WorkflowNavigationCommandContribution);
        context.bind(MenuContribution).to(WorkflowNavigationMenuContribution);
        context.bind(KeybindingContext).to(WorkflowDiagramKeybindingContext);
        context.bind(KeybindingContribution).to(WorkflowKeybindingContribution);

        // Example for a command that navigates to an element in a diagram with a query resolved by the server
        context.bind(CommandContribution).to(ExampleNavigationCommandContribution).inSingletonScope();

        // Readonly workflow diagram view
        context.bind(WorkflowDiagramReadonlyViewContribution).toSelf().inSingletonScope();
        context.bind(MenuContribution).toService(WorkflowDiagramReadonlyViewContribution);
        context.bind(CommandContribution).toService(WorkflowDiagramReadonlyViewContribution);
    }

    override bindGLSPClientContribution(context: ContainerContext): void {
        context.bind(GLSPClientContribution).to(WorkflowGLSPClientContribution);
    }
}
*/
//# sourceMappingURL=bpmn-frontend-module.js.map